Package org.apache.sysds.runtime.compress.lib

## Class CLALibRexpand

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibRexpand

    public class CLALibRexpand
    extends Object

### Constructor Summary

Constructors
`CLALibRexpand()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `rexpand​(CompressedMatrixBlock in, MatrixBlock ret, double max, boolean rows, boolean cast, boolean ignore, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibRexpand

    public CLALibRexpand()

### Method Detail

#### rexpand

    public static MatrixBlock rexpand​(CompressedMatrixBlock in,
                                      MatrixBlock ret,
                                      double max,
                                      boolean rows,
                                      boolean cast,
                                      boolean ignore,
                                      int k)